<?xml version="1.0" encoding="utf-8"?>
<!-- Created with Liquid Technologies Online Tools 1.0 (https://www.liquid-technologies.com) -->
<xs:schema attributeFormDefault="unqualified" elementFormDefault="qualified" xmlns:xs="http://www.w3.org/2001/XMLSchema">
  <xs:element name="roleSyncConfig">
    <xs:complexType>
      <xs:sequence>
        <xs:element maxOccurs="unbounded" name="context">
          <xs:complexType>
            <xs:sequence>
              <xs:element maxOccurs="unbounded" name="role">
                <xs:complexType>
                  <xs:attribute name="name" type="xs:string" use="required" />
                  <xs:attribute name="targetRole" type="xs:string" use="optional" />
                </xs:complexType>
              </xs:element>
            </xs:sequence>
            <xs:attribute name="sourceName" type="xs:string" use="required" />
            <xs:attribute name="unassignRoles" type="xs:boolean" />
          </xs:complexType>
        </xs:element>
      </xs:sequence>
    </xs:complexType>
  </xs:element>
</xs:schema>